Subject: Re: stderr outputs veerrrryyy slowly
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sun, 22 Jun 2003 12:53:43 -0700

Christopher Faylor wrote:

> >Hmmm.  Well, I managed to come up with this minimal testcase:
> 
> There is no need for a test case.  I already mentioned that this is a
> known issue and pinpointed where the problem lies.

Fair enough.

> >Can anyone make heads (or tails) of this now?
> 
> Read my original message.  stderr does not buffer its output.  stdout does.

Okay, but I'm afraid that doesn't quite compute to me, maybe you could
clarify:

- If it's flushing on every character, then why is the output speed
acceptable when using fputs/fprintf or anything except fputc?  i.e. why
do I get the 300-baud-modem emulation only in a few cases?

- Why does it take so long (10ms) to flush the stream?  

- Why does it only happen with 'tty' set?

Sorry if I'm being dense.  I was also going to ask what the heck newlib
was but I figured that out on my own. :-)

Thanks,
Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/